Ptex: PtexReader::TiledReducedFace Class Reference

Ptex

Public Member Functions | Protected Attributes | List of all members
PtexReader::TiledReducedFace Class Reference

`#include <PtexReader.h>`

Inheritance diagram for PtexReader::TiledReducedFace:

## Public Member Functions
| TiledReducedFace (PtexReader *reader, Res resArg, Res tileresArg, TiledFaceBase *parentface, PtexUtils::ReduceFn reducefn)
| ~TiledReducedFace ()
virtual PtexFaceData * | getTile (int tile)
| Access a tile from the data block. More...
size_t | memUsed ()
Public Member Functions inherited from PtexReader::TiledFaceBase
| TiledFaceBase (PtexReader *reader, Res resArg, Res tileresArg)
virtual void | release ()
| Release resources held by this pointer (pointer becomes invalid). More...
virtual bool | isConstant ()
| True if this data block is constant. More...
virtual void | getPixel (int u, int v, void *result)
| Read a single texel from the data block. More...
virtual void * | getData ()
| Access the data from this data block. More...
virtual bool | isTiled ()
| True if this data block is tiled. More...
virtual Ptex::Res | tileRes ()
| Resolution of each tile in this data block. More...
virtual FaceData * | reduce (PtexReader *, Res newres, PtexUtils::ReduceFn, size_t &newMemUsed)
Res | tileres () const
int | ntilesu () const
int | ntilesv () const
int | ntiles () const
Public Member Functions inherited from PtexReader::FaceData
| FaceData (Res resArg)
virtual | ~FaceData ()
virtual Ptex::Res | res ()
| Resolution of the texture held by this data block. More...

## Protected Attributes
TiledFaceBase * | _parentface
PtexUtils::ReduceFn * | _reducefn
Protected Attributes inherited from PtexReader::TiledFaceBase
PtexReader * | _reader
Res | _tileres
DataType | _dt
int | _nchan
int | _ntilesu
int | _ntilesv
int | _ntiles
int | _pixelsize
std::vector< FaceData * > | _tiles
Protected Attributes inherited from PtexReader::FaceData
Res | _res

## Additional Inherited Members
Protected Member Functions inherited from PtexReader::TiledFaceBase
size_t | baseExtraMemUsed ()
virtual | ~TiledFaceBase ()
Protected Member Functions inherited from PtexFaceData
virtual | ~PtexFaceData ()
| Destructor not for public use. Use release() instead. More...

## Detailed Description

Definition at line 498 of file PtexReader.h.

## Constructor & Destructor Documentation

## ◆ TiledReducedFace()

PtexReader::TiledReducedFace::TiledReducedFace | ( | PtexReader * | reader,
|  | Res | resArg,
|  | Res | tileresArg,
|  | TiledFaceBase * | parentface,
|  | PtexUtils::ReduceFn | reducefn
| ) |  |
| inline

Definition at line 500 of file PtexReader.h.

## ◆ ~TiledReducedFace()

PtexReader::TiledReducedFace::~TiledReducedFace | ( |  | ) |
| inline

Definition at line 507 of file PtexReader.h.

## Member Function Documentation

## ◆ getTile()

PtexFaceData * PtexReader::TiledReducedFace::getTile | ( | int | tile | ) |
| virtual

Access a tile from the data block.

Tiles are accessed in v-major order.

Implements PtexFaceData.

Definition at line 1115 of file PtexReader.cpp.

References PtexReader::_pixelsize, AtomicCompareAndSwap(), PtexUtils::fill(), PtexFaceData::getData(), PtexReader::getData(), PtexFaceData::getTile(), and PtexFaceData::isConstant().

## ◆ memUsed()

size_t PtexReader::TiledReducedFace::memUsed | ( |  | ) |
| inline

Definition at line 512 of file PtexReader.h.

References PtexReader::TiledFaceBase::baseExtraMemUsed().

Referenced by PtexReader::TiledFaceBase::reduce().

## Member Data Documentation

## ◆ _parentface

TiledFaceBase* PtexReader::TiledReducedFace::_parentface
| protected

Definition at line 515 of file PtexReader.h.

## ◆ _reducefn

PtexUtils::ReduceFn* PtexReader::TiledReducedFace::_reducefn
| protected

Definition at line 516 of file PtexReader.h.

The documentation for this class was generated from the following files:

- PtexReader.h
- PtexReader.cpp